import React from 'react';
import type { I18nDetails } from '@shopify/react-i18n';
interface Props extends Partial<I18nDetails> {
    children?: React.ReactNode;
}
/**
 * A self-serializing provider for `@shopify/i18n`'s I18nManager.
 * On the server it serializes its props to the DOM; on the client it retrieves the serialized props and rehydrates them.
 *
 * @param props an object containing the React children to render and any options to use when configuring the tree's `I18nManager`
 * @returns JSX wrapping the given children in an `<I18nContext.Provider>` and a `<Serialize />` component.
 */
export declare function I18nUniversalProvider({ children, ...explicitI18nDetails }: Props): JSX.Element;
export {};
//# sourceMappingURL=I18nUniversalProvider.d.ts.map